from openpyxl.descriptors.serialisable import Serialisable
from openpyxl.descriptors import (
    Sequence,
)

class MergeCell(Serialisable):

    tagname = "mergeCell"

    __attrs__ = ("ref",)

    def __init__(self, ref):
        self.ref = ref


class MergeCells(Serialisable):

    tagname = "mergeCells"

    mergeCell = Sequence(expected_type=MergeCell, )

    __elements__ = ('mergeCell',)
    __attrs__ = ('count',)

    def __init__(self,
                 count=None,
                 mergeCell=(),
                ):
        self.mergeCell = mergeCell


    @property
    def count(self):
        return len(self.mergeCell)
